# Interface QuorumAuthServer

All Known Implementing Classes:
  `NullQuorumAuthServer, SaslQuorumAuthServer`

public interface QuorumAuthServer
Interface for quorum server authentication mechanisms.

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(Socket sock, DataInputStream din)`
Performs an authentication step for the given socket connection.

## Method Details

### authenticate

void authenticate(Socket sock, DataInputStream din) throws IOException
Performs an authentication step for the given socket connection.

Parameters:
  `sock` - socket connection to other quorum peer
  `din` - stream used to read auth data send by the quorum learner
Throws:
  `IOException` - if the server fails to authenticate connecting quorum learner